import request from "@/util/oaRequest"

// 查询问题反馈列表
export function listFeedback(query) {
  return request({
    url: '/oa/feedback/list',
    method: 'get',
    params: query
  })
}
// 查询问题反馈列表
export function indexListFeedback(query) {
  return request({
    url: '/oa/feedback/index-list',
    method: 'get',
    params: query
  })
}

// 查询问题反馈详细
export function getFeedback(feedbackId) {
  return request({
    url: '/oa/feedback/' + feedbackId,
    method: 'get'
  })
}

// 新增问题反馈
export function addFeedback(data) {
  return request({
    url: '/oa/feedback',
    method: 'post',
    data: data
  })
}

// 修改问题反馈
export function updateFeedback(data) {
  return request({
    url: '/oa/feedback',
    method: 'put',
    data: data
  })
}

// 修改问题反馈
export function toRead(data) {
  return request({
    url: '/oa/feedback/toRead',
    method: 'put',
    data: data
  })
}

// 删除问题反馈
export function delFeedback(feedbackId) {
  return request({
    url: '/oa/feedback/remove/' + feedbackId,
    method: 'delete'
  })
}
